.loader-x-large {
    width: 4rem;
    height: 4rem;
    border: 0.375rem solid var(--sds-grey-300);
    border-top: 0.375rem solid var(--sds-primary);
    border-radius: 50%;
    animation: spin 2s linear infinite;
    position: center;
}

.loader-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.loader-wrapper {
    /* width: 500px;
    margin-left: -250px; */
}


.loader-large {
    width: 3.5rem;
    height: 3.5rem;
    border: 0.375rem solid var(--sds-grey-300);
    border-top: 0.375rem solid var(--sds-primary);
    border-radius: 50%;
    animation: spin 2s linear infinite;
    position: center;
}

.loader-medium {
    width: 3rem;
    height: 3rem;
    border: 0.375rem solid var(--sds-grey-300);
    border-top: 0.375rem solid var(--sds-primary);
    border-radius: 50%;
    animation: spin 2s linear infinite;
    position: center;
}

.loader-small {
    width: 2rem;
    height: 2rem;
    border: 0.25rem solid var(--sds-grey-300);
    border-top: 0.25rem solid var(--sds-primary);
    border-radius: 50%;
    animation: spin 2s linear infinite;
    position: center;
}

.loader-x-small {
    width: 1.5rem;
    height: 1.5rem;
    border: 0.1875rem solid var(--sds-grey-300);
    border-top: 0.1875rem solid var(--sds-primary);
    border-radius: 50%;
    animation: spin 2s linear infinite;
    position: center;
}


@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.hide-loader {
    display: none;
}


.loader-text-container {
    margin-top: 5px;
}


.loader-text {
    color: var(--grey-700, #5A6161);
    text-align: center;
    font-family: Inter;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.25rem;
}